##Route de connexion 
app_login:
  path: /login
  controller: App\Controller\SecurityController::login
  locale: en

app_logout:
  path: /logout
  controller: App\Controller\SecurityController::logout
  locale: en

app_change_password:
  path: /changePassword
  controller: App\Controller\SecurityController::changePassword
  locale: en

app_reset_password_1:
  path: /login/rp
  controller: App\Controller\SecurityController::resetPassword1
  locale: en

app_reset_password_2:
  path: /reset-password/{code}
  controller: App\Controller\SecurityController::resetPassword2
  locale: en

app_register_1:
  path: /register
  controller: App\Controller\SecurityController::register
  locale: en

aapp_check_code:
  path: /checkCode/{code}
  controller: App\Controller\SecurityController::checkCode
  locale: en
  
## J'ai crée ce fichier pour définir mes routes préfixés avec la langue /fr ou /en
dashboard:
  path: /admin/dashboard
  controller: App\Controller\DashboardController::index
  locale: fr

## Defition des routes pour les variables globales
cadre:
  path: /admin/framework
  controller: App\Controller\CadreController::index
  locale: fr

cadre_add:
  path: /admin/framework/add
  controller: App\Controller\CadreController::add
  locale: fr

cadre_view:
  path: /admin/framework/view
  controller: App\Controller\CadreController::view
  locale: fr

cadre_edit:
  path: /admin/framework/edit/{id}
  controller: App\Controller\CadreController::edit
  locale: fr
  defaults:   { id: 1 }

cadre_delete_logo:
  path: /admin/framework/deleteLogo/{id}
  controller: App\Controller\CadreController::deleteLogo
  locale: fr

## Gestion des routes pour les providers
provider:
  path: /admin/provider
  controller: App\Controller\ProviderController::index
  locale: fr

provider_sms:
  path: /admin/provider/sms
  controller: App\Controller\ProviderController::sms
  locale: fr

provider_sms_add:
  path: /admin/provider/sms/add
  controller: App\Controller\ProviderController::smsAdd
  locale: fr

provider_sms_edit:
  path: /admin/provider/sms/edit/{id}
  controller: App\Controller\ProviderController::smsEdit
  locale: fr
  defaults:   { id: 1 }

provider_sms_delete:
  path: /admin/provider/sms/delete
  controller: App\Controller\ProviderController::smsDelete
  locale: fr

provider_sms_delete_all:
  path: /admin/provider/sms/deleteAll
  controller: App\Controller\ProviderController::smsDeleteAll
  locale: fr

provider_voice:
  path: /admin/provider/voice
  controller: App\Controller\ProviderController::voice
  locale: fr

provider_voice_add:
  path: /admin/provider/voice/add
  controller: App\Controller\ProviderController::voiceAdd
  locale: fr

provider_voice_edit:
  path: /admin/provider/voice/edit/{id}
  controller: App\Controller\ProviderController::voiceEdit
  locale: fr
  defaults:   { id: 1 }

provider_voice_delete:
  path: /admin/provider/voice/delete
  controller: App\Controller\ProviderController::voiceDelete
  locale: fr

provider_voice_delete_all:
  path: /admin/provider/voice/deleteAll
  controller: App\Controller\ProviderController::voiceDeleteAll
  locale: fr

provider_whatsApp:
  path: /admin/provider/whatsApp
  controller: App\Controller\ProviderController::whatsApp
  locale: fr

provider_whatsApp_add:
  path: /admin/provider/whatsApp/add
  controller: App\Controller\ProviderController::whatsAppAdd
  locale: fr

provider_whatsApp_edit:
  path: /admin/provider/whatsApp/edit/{id}
  controller: App\Controller\ProviderController::whatsAppEdit
  locale: fr
  defaults:   { id: 1 }

provider_whatsApp_delete:
  path: /admin/provider/whatsapp/delete
  controller: App\Controller\ProviderController::whatsAppDelete
  locale: fr

provider_whatsApp_delete_all:
  path: /admin/provider/whatsapp/deleteAll
  controller: App\Controller\ProviderController::whatsAppDeleteAll
  locale: fr

## Gestion des suscribers
suscriber:
  path: /admin/suscriber
  controller: App\Controller\SuscriberController::index
  locale: fr

suscriber_group:
  path: /admin/suscriber/group
  controller: App\Controller\SuscriberController::group
  locale: fr

suscriber_group_add:
  path: /admin/suscriber/group/add
  controller: App\Controller\SuscriberController::groupAdd
  locale: fr

suscriber_group_edit:
  path: /admin/suscriber/group/edit/{id}
  controller: App\Controller\SuscriberController::groupEdit
  locale: fr
  defaults:   { id: 1 }

suscriber_group_delete:
  path: /admin/suscriber/group/delete
  controller: App\Controller\SuscriberController::groupDelete
  locale: fr

suscriber_group_delete_all:
  path: /admin/suscriber/group/deleteAll
  controller: App\Controller\SuscriberController::groupDeleteAll
  locale: fr

suscriber_list:
  path: /admin/suscriber/list
  controller: App\Controller\SuscriberController::list
  locale: fr

suscriber_list_add:
  path: /admin/suscriber/list/add
  controller: App\Controller\SuscriberController::listAdd
  locale: fr

suscriber_list_import:
  path: /admin/suscriber/list/import
  controller: App\Controller\SuscriberController::listImport
  locale: fr

suscriber_list_edit:
  path: /admin/suscriber/list/edit/{id}
  controller: App\Controller\SuscriberController::listEdit
  locale: fr
  defaults:   { id: 1 }

suscriber_list_delete:
  path: /admin/suscriber/list/delete
  controller: App\Controller\SuscriberController::listDelete
  locale: fr

suscriber_list_delete_all:
  path: /admin/suscriber/list/deleteAll
  controller: App\Controller\SuscriberController::listDeleteAll
  locale: fr

## Gestion des campagnes
campaign:
  path: /admin/campaign
  controller: App\Controller\CampaignController::index
  locale: fr

campaign_add:
  path: /admin/campaign/add
  controller: App\Controller\CampaignController::add
  locale: fr

campaign_edit:
  path: /admin/campaign/edit/{id}
  controller: App\Controller\CampaignController::edit
  locale: fr
  defaults:   { id: 1 }

campaign_delete:
  path: /admin/campaign/delete
  controller: App\Controller\CampaignController::delete
  locale: fr

campaign_delete_all:
  path: /admin/campaign/deleteAll
  controller: App\Controller\CampaignController::deleteAll
  locale: fr

## Defition des routes pour la consultation des données
consult_filtre:
  path: /admin/dataAnalyse/filter
  controller: App\Controller\ConsultController::filtre
  locale: fr

consult_extract:
  path: /admin/dataAnalyse/extract
  controller: App\Controller\ConsultController::extraction
  locale: fr

consult_extract_pdf:
  path: /admin/dataAnalyse/extractPDF
  controller: App\Controller\ConsultController::extractionPDF
  locale: fr

consult_extract_docx:
  path: /admin/dataAnalyse/extractDOCX
  controller: App\Controller\ConsultController::extractionDOCX
  locale: fr

consult_extract_xlsx:
  path: /admin/dataAnalyse/extractXLSX
  controller: App\Controller\ConsultController::extractionXLSX
  locale: fr


## Defition des routes pour la gestion des publications
public:
  path: /admin/publication
  controller: App\Controller\PublicationController::index
  locale: fr

public_add:
  path: /admin/publication/add
  controller: App\Controller\PublicationController::add
  locale: fr

public_edit:
  path: /admin/publication/edit/{id}
  controller: App\Controller\PublicationController::edit
  locale: fr
  defaults:   { id: 1 }

public_publish:
  path: /admin/publication/publish
  controller: App\Controller\PublicationController::publish
  locale: fr

public_delete:
  path: /admin/publication/delete
  controller: App\Controller\PublicationController::delete
  locale: fr

public_news:
  path: /admin/publication/newsletter
  controller: App\Controller\PublicationController::newsletter
  locale: fr
  
public_dif:
  path: /admin/publication/diffusion
  controller: App\Controller\PublicationController::diffusion
  locale: fr

public_unsuscribe:
  path: /public/unsuscribe
  controller: App\Controller\PublicationController::unsuscribe
  locale: fr

## Defition des routes pour la gestion des notifications
notif_note:
  path: /admin/notif/notes
  controller: App\Controller\NotificationController::note
  locale: fr
  
notif_note_add:
  path: /admin/notif/notes/add
  controller: App\Controller\NotificationController::noteAdd
  locale: fr

notif_note_edit:
  path: /admin/notif/notes/edit/{id}
  controller: App\Controller\NotificationController::noteEdit
  locale: fr
  defaults:   { id: 1 }

notif_note_delete:
  path: /admin/notif/notes/delete
  controller: App\Controller\NotificationController::deleteNote
  locale: fr

notif_note_delete_all:
  path: /admin/notif/notes/deleteAll
  controller: App\Controller\NotificationController::deleteAllNote
  locale: fr

notif_news:
  path: /admin/notif/news
  controller: App\Controller\NotificationController::news
  locale: fr

## Defition des routes pour des paramètres
param:
  path: /admin/param
  controller: App\Controller\ParameterController::index
  locale: fr

param_group:
  path: /admin/param/group
  controller: App\Controller\ParameterController::group
  locale: fr
  
param_group_add:
  path: /admin/param/group/add
  controller: App\Controller\ParameterController::groupAdd
  locale: fr
  
param_group_edit:
  path: /admin/param/group/edit/{id}
  controller: App\Controller\ParameterController::groupEdit
  locale: fr
  defaults:   { id: 1 }
  
param_group_delete:
  path: /admin/param/group/delete
  controller: App\Controller\ParameterController::groupDelete
  locale: fr

param_group_delete_all:
  path: /admin/param/group/deleteAll
  controller: App\Controller\ParameterController::groupDeleteAll
  locale: fr

param_access:
  path: /admin/param/access
  controller: App\Controller\ParameterController::access
  locale: fr
  
param_access_add:
  path: /admin/param/access/add
  controller: App\Controller\ParameterController::accessAdd
  locale: fr
  
param_access_edit:
  path: /admin/param/access/edit/{id}
  controller: App\Controller\ParameterController::accessEdit
  locale: fr
  defaults:   { id: 1 }
  
param_access_delete:
  path: /admin/param/access/delete
  controller: App\Controller\ParameterController::accessDelete
  locale: fr

param_access_delete_all:
  path: /admin/param/access/deleteAll
  controller: App\Controller\ParameterController::accessDeleteAll
  locale: fr

param_user:
  path: /admin/param/user
  controller: App\Controller\ParameterController::user
  locale: fr
  
param_user_add:
  path: /admin/param/user/add
  controller: App\Controller\ParameterController::userAdd
  locale: fr
  
param_user_edit:
  path: /admin/param/user/edit/{id}
  controller: App\Controller\ParameterController::userEdit
  locale: fr
  defaults:   { id: 1 }

param_user_delete:
  path: /admin/param/user/delete
  controller: App\Controller\ParameterController::userDelete
  locale: fr

param_user_delete_all:
  path: /admin/param/user/deleteAll
  controller: App\Controller\ParameterController::userDeleteAll
  locale: fr

param_team:
  path: /admin/param/team
  controller: App\Controller\ParameterController::team
  locale: fr
  
param_team_add:
  path: /admin/param/team/add
  controller: App\Controller\ParameterController::teamAdd
  locale: fr
  
param_team_edit:
  path: /admin/param/team/edit/{id}
  controller: App\Controller\ParameterController::teamEdit
  locale: fr
  defaults:   { id: 1 }
  
param_team_delete:
  path: /admin/param/team/delete
  controller: App\Controller\ParameterController::teamDelete
  locale: fr

param_team_delete_all:
  path: /admin/param/team/deleteAll
  controller: App\Controller\ParameterController::teamDeleteAll
  locale: fr

param_license:
  path: /admin/param/license
  controller: App\Controller\ParameterController::license
  locale: fr

